{
  "env": {
    "browser": true,
    "es2021": true
  },
  "extends": [
    "eslint:recommended",
    "plugin:react/recommended",
    "plugin:@typescript-eslint/recommended",
    "prettier"
  ],
  "rules": {
    "react/react-in-jsx-scope": "off",
    "camelcase": "off",
    "spaced-comment": "error",
    "quotes": ["error", "double"],
    "no-duplicate-imports": "error",
    "@typescript-eslint/ban-ts-comment": "off"
  },
  "plugins": ["react", "react-hooks", "@typescript-eslint", "prettier"],
  "settings": {
    "import/resolver": {
      "typescript": {}
    }
  }
}
